summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--scripts/makepkg.sh.in9
1 files changed, 2 insertions, 7 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 2ab2aeff..0bff8731 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -321,11 +321,6 @@ handledeps() {
[ $# -eq 0 ] && return $R_DEPS_SATISFIED
local deplist="$*"
- local dep depstrip striplist
- for dep in $deplist; do
- depstrip="$(echo $dep | sed -e 's|=.*$||' -e 's|>.*$||' -e 's|<.*$||')"
- striplist="$striplist $depstrip"
- done
if [ "$DEP_BIN" = "0" ]; then
return $R_DEPS_MISSING
@@ -337,9 +332,9 @@ handledeps() {
local ret=0
if [ "$ASROOT" = 0 ]; then
- sudo pacman $PACMAN_OPTS -S --asdeps $striplist || ret=$?
+ sudo pacman $PACMAN_OPTS -S --asdeps $deplist || ret=$?
else
- pacman $PACMAN_OPTS -S --asdeps $striplist || ret=$?
+ pacman $PACMAN_OPTS -S --asdeps $deplist || ret=$?
fi
if [ $ret -ne 0 ]; then